﻿using System;

namespace ProductExchangeModel.BdcModel1
{
    /// <summary>
    /// Currencies
    /// </summary>
    public enum Currency
    {
        PoundSterling,
        Yen
    }

    /// <summary>
    /// Simple class to help with Currency
    /// </summary>
    internal class CurrencyHelper
    {
        /// <summary>
        /// Simple Class to mock getting exchange rate
        /// </summary>
        /// <param name="currency">Currency Type</param>
        /// <returns>Exchange rate value</returns>
        internal static decimal GetExchangeRate(Currency currency)
        {
            decimal exchangeRate;

            switch (currency)
            {
                case Currency.PoundSterling:
                    exchangeRate = (decimal) 0.6266;
                    break;
                case Currency.Yen:
                    exchangeRate = (decimal) 82.97;
                    break;
                default:
                    throw new ArgumentOutOfRangeException("currency");
            }

            return exchangeRate;
        }


    }
}